
Installer - Feature #32180

Installer should unset http proxy environment variables when run instead of just erroring

03/23/2021 03:27 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: foreman-installer script   

Target version: 2.5.0   

Difficulty:  Fixed in Releases: 2.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/665

  

Description

Associated revisions

Revision 1de17d5f - 03/23/2021 05:10 PM - Eric Helms

Fixes #32180: Unset system proxy and SSL environment variables for the duration of the install

Moves from checking for http proxy and SSL environment variables and

failing if they are present to a model of unsetting them during

the duration of the install run. This does not change them on

the system itself.

History

#1 - 03/23/2021 04:00 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman-installer/pull/665 added

#2 - 03/23/2021 05:10 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#3 - 03/23/2021 06:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset installer|1de17d5f0db52d557675242ae1359c39fe306fab.

#4 - 05/06/2021 12:00 PM - Ewoud Kohl van Wijngaarden

- Category set to foreman-installer script

- Target version set to 2.5.0

- Triaged changed from No to Yes
